@import "~ngx-toastr/toastr.css";
@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';

html,
body {
  height: 100%;
  width: 100%;
  margin: 0;
}

.router-link {
  text-decoration: none;
  color: #fff;
  width: 100%;
  height: 100%;
}

.link-hover-cursor {
  cursor: pointer;
}

.all-weather-container {
  display: flex;
  flex-direction: row;
  margin-top: 20px;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.all-weather {
  margin: 10px 10px 0 0;
  width: 200px;
}

.header-image {
  background-image: url('assets/images/logo.svg');
  background-size: cover;
}

.weather-actions {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;

  p {
    text-align: center;
    font-size: 1.5rem;
  }
}

.weather-card-container {
  .weather-card-date-container {
    p {
      margin: 0;
      text-align: center;
    }
  }

  .weather-card-description-container {
    margin: 3rem 0;
    font-size: 12px;
  }

  .weather-card-temperature-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    .weather-minimum, .weather-maximum {
      margin-right: 10px;
    }

    .weather-maximum {
      font-size: 3rem;
      color: #673ab7;
    }

    .weather-minimum {
      font-size: 2rem;
      color: #333333;
    }
  }
}

@media all and (max-width: 570px) {
  .home-container, .favourite-container {
    margin-top: 180px !important;
  }
}

